Subject: Re: Machine automagically reboots with 2.6.23-rc2-mm2

From: Balbir Singh <[email-masked]>
Date: Fri, 17 Aug 2007 10:07:41 +0530

Michael Neuling wrote:
> 
> SLB shadow was bust.  Make sure you have
> edd0622bd2e8f755c960827e15aa6908c3c5aa94
> 
>     [POWERPC] Fix potential duplicate entry in SLB shadow buffer
>     
>     We were getting a duplicate entry in the SLB shadow buffer in
>     slb_flush_and_rebolt() if the kernel stack was in the same segment
>     as PAGE_OFFSET, which on POWER6 causes the hypervisor to terminate
>     the partition with an error.  This fixes it.
>     
>     Also we were not creating an SLB entry (or an SLB shadow buffer
>     entry) for the kernel stack on secondary CPUs when starting the
>     CPU.  This isn't a major problem, since an appropriate entry will
>     be created on demand, but this fixes that also for consistency.
>     
>     Signed-off-by: Paul Mackerras <[email-masked]>
> 

Thanks for pointing that out, I'll get the fix and retry.

Balbir Singh.